"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Utils_1 = require("../../utils/Utils");
const Job_1 = require("../interfaces/service/Job");
const Feature_1 = require("../interfaces/mission/Feature");
class MockServiceJob {
    static mockJobId() {
        return Utils_1.chance.integer({ min: 0, max: 10000 });
    }
    static mockServiceId() {
        return Utils_1.chance.pick([Feature_1.ServiceIds.MESH_ALTIZURE, Feature_1.ServiceIds.MESH_PANORAMA]);
    }
    static mockJobName() {
        return Utils_1.chance.name();
    }
    static mockStatus() {
        return Utils_1.chance.pickone([Job_1.CloudServiceStatus.FAILED, Job_1.CloudServiceStatus.SUCCESS, Job_1.CloudServiceStatus.PENDING, Job_1.CloudServiceStatus.NOT_EXIST, Job_1.CloudServiceStatus.UPLOADING]);
    }
    static mockPercentage() {
        return Utils_1.chance.integer({ min: 0, max: 100 });
    }
    static mockResult() {
        return Utils_1.chance.url();
    }
    static mockResources() {
        const TOTAL = Utils_1.chance.integer({ min: 10, max: 100 });
        const resources = [];
        for (let i = 0; i < TOTAL; i++) {
            resources.push(Utils_1.chance.url());
        }
        return resources;
    }
    static mockCreatedAt() {
        return Utils_1.chance.timestamp();
    }
    static mockJob(serviceId, status, percentage) {
        return {
            jobId: this.mockJobId(),
            serviceId: serviceId ? serviceId : this.mockServiceId(),
            jobName: this.mockJobName(),
            status: status ? status : this.mockStatus(),
            percentage: percentage ? percentage : this.mockPercentage(),
            result: this.mockResult(),
            createdAt: this.mockCreatedAt(),
        };
    }
}
exports.default = MockServiceJob;
