"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseCode = void 0;
var ResponseCode;
(function (ResponseCode) {
    ResponseCode[ResponseCode["INTERNAL_SERVER_ERROR"] = 0] = "INTERNAL_SERVER_ERROR";
    ResponseCode[ResponseCode["SUCCESS"] = 1] = "SUCCESS";
    ResponseCode[ResponseCode["INVALID_USERNAME"] = 2] = "INVALID_USERNAME";
    ResponseCode[ResponseCode["ACCOUNT_NOT_EXIST"] = 3] = "ACCOUNT_NOT_EXIST";
    ResponseCode[ResponseCode["INVALID_PASSWORD"] = 4] = "INVALID_PASSWORD";
    ResponseCode[ResponseCode["INVALID_ACCESS_TOKEN"] = 5] = "INVALID_ACCESS_TOKEN";
    ResponseCode[ResponseCode["INVALID_PARAMETER"] = 6] = "INVALID_PARAMETER";
    ResponseCode[ResponseCode["DUPLICATED_ACCOUNT"] = 7] = "DUPLICATED_ACCOUNT";
    ResponseCode[ResponseCode["INVALID_DATA"] = 9] = "INVALID_DATA";
    ResponseCode[ResponseCode["ARREARAGE_ACCOUNT"] = 10] = "ARREARAGE_ACCOUNT";
    ResponseCode[ResponseCode["CANNOT_ACCESS_MISSION"] = 11] = "CANNOT_ACCESS_MISSION";
    ResponseCode[ResponseCode["DEVICE_COUNT_OVER_LIMIT"] = 12] = "DEVICE_COUNT_OVER_LIMIT";
    ResponseCode[ResponseCode["CAPTCHA_REQUEST_TOO_FREQUENT"] = 13] = "CAPTCHA_REQUEST_TOO_FREQUENT";
    ResponseCode[ResponseCode["REQUEST_ERROR"] = 14] = "REQUEST_ERROR";
    ResponseCode[ResponseCode["UNVERIFIED_PAYMENT"] = 15] = "UNVERIFIED_PAYMENT";
    ResponseCode[ResponseCode["INVALID_PHONE_NUM"] = 16] = "INVALID_PHONE_NUM";
    ResponseCode[ResponseCode["INVALID_EMAIL"] = 17] = "INVALID_EMAIL";
    ResponseCode[ResponseCode["INVALID_MISSION_NAME"] = 18] = "INVALID_MISSION_NAME";
    ResponseCode[ResponseCode["INVALID_NEW_PASSWORD"] = 19] = "INVALID_NEW_PASSWORD";
    ResponseCode[ResponseCode["INVALID_CDN_APPLY_TIME"] = 20] = "INVALID_CDN_APPLY_TIME";
    ResponseCode[ResponseCode["INVALID_CDN_SIGN"] = 21] = "INVALID_CDN_SIGN";
    ResponseCode[ResponseCode["DEVICE_BUSY"] = 22] = "DEVICE_BUSY";
    ResponseCode[ResponseCode["MISSION_NOT_EXIST"] = 23] = "MISSION_NOT_EXIST";
    // Belows are for service
    ResponseCode[ResponseCode["INVALID_SERVICE_ACCESS_KEY"] = 81] = "INVALID_SERVICE_ACCESS_KEY";
    ResponseCode[ResponseCode["INVALID_SERVICE_SIGNATURE"] = 82] = "INVALID_SERVICE_SIGNATURE";
    ResponseCode[ResponseCode["CANNOT_ACCESS_SERVICE"] = 83] = "CANNOT_ACCESS_SERVICE";
    ResponseCode[ResponseCode["SERVICE_NOT_EXIST"] = 84] = "SERVICE_NOT_EXIST";
    // Belows are for pricing
    ResponseCode[ResponseCode["MISSION_TIMES_OVER_LIMIT"] = 101] = "MISSION_TIMES_OVER_LIMIT";
    ResponseCode[ResponseCode["TRIAL_MISSION_OVER_LIMIT"] = 102] = "TRIAL_MISSION_OVER_LIMIT";
    // Belows are for CDN
    ResponseCode[ResponseCode["CDN_BUCKET_NOT_EXIST"] = 121] = "CDN_BUCKET_NOT_EXIST";
    // Belows are for user
    ResponseCode[ResponseCode["USER_NOT_EXIST"] = 141] = "USER_NOT_EXIST";
    ResponseCode[ResponseCode["REFRESH_TOKEN_INVALID"] = 142] = "REFRESH_TOKEN_INVALID";
    // Belows are for developer
    ResponseCode[ResponseCode["INVALID_DEVELOPER_ACCESS_KEY"] = 161] = "INVALID_DEVELOPER_ACCESS_KEY";
    ResponseCode[ResponseCode["INVALID_DEVELOPER_SIGNATURE"] = 162] = "INVALID_DEVELOPER_SIGNATURE";
    // Belows are for package
    ResponseCode[ResponseCode["PACKAGE_NOT_EXIST"] = 181] = "PACKAGE_NOT_EXIST";
    ResponseCode[ResponseCode["MESH_ENGINE_INCOMPATIBLE"] = 182] = "MESH_ENGINE_INCOMPATIBLE";
    ResponseCode[ResponseCode["PACKAGE_VERSION_NOT_EXIST"] = 183] = "PACKAGE_VERSION_NOT_EXIST";
    // Belows are for mission
    ResponseCode[ResponseCode["UNAUTHORIZED_MISSION_UPDATE"] = 201] = "UNAUTHORIZED_MISSION_UPDATE";
    ResponseCode[ResponseCode["UNAUTHORIZED_MISSION_RESTART"] = 202] = "UNAUTHORIZED_MISSION_RESTART";
    ResponseCode[ResponseCode["NO_CAPTURE_EVENTS"] = 203] = "NO_CAPTURE_EVENTS";
    ResponseCode[ResponseCode["UNAUTHORIZED_CLIP_ADD"] = 204] = "UNAUTHORIZED_CLIP_ADD";
    ResponseCode[ResponseCode["UNAUTHORIZED_CLIP_DELETE"] = 205] = "UNAUTHORIZED_CLIP_DELETE";
    // Belows are for product
    ResponseCode[ResponseCode["PRODUCT_NOT_EXIST"] = 221] = "PRODUCT_NOT_EXIST";
})(ResponseCode || (ResponseCode = {}));
exports.ResponseCode = ResponseCode;
