import { IResponseBase } from "../Response";
import { IMissionListMember, IMissionListResponseData } from "./MissionList";
import { IClipMetadata } from "./Feature";
export interface IRecoverMissionParams {
    /**
     * Access token to perform this request
     */
    accessToken: string;
    /**
     * Id of mission we are recovering
     */
    missionIdList: number[];
}
export interface IEmptyTrashMissionParams {
    /**
     * Access token to perform this request
     */
    accessToken: string;
    /**
     * Id of mission we are delete
     */
    missionIdList: number[];
}
export interface IAddClipsParams {
    /**
     * Access token to perform this request
     */
    accessToken: string;
    /**
     * Id of mission we are adding clips to
     */
    missionId: number;
    /**
     * Clips to be added
     */
    clips: IClipMetadata[];
}
export interface IShareMissionParams {
    /**
     * Access token to perform this request
     */
    accessToken: string;
    /**
     * Id of mission we are sharing
     */
    missionId: number;
    /**
     * Id of user being invited
     */
    invitedUserId: number;
}
export interface IShareMissionResponse extends IResponseBase {
    data: IMissionListMember;
}
export interface IRemoveMemberParams {
    /**
     * Access token to perform this request
     */
    accessToken: string;
    /**
     * Id of mission we are removing a member from
     */
    missionId: number;
    /**
     * Id of user we are removing
     */
    removingUserId: number;
}
export interface ISearchMissionListResponse {
    data: IMissionListResponseData;
}
export interface ISearchMissionListParams {
    /**
     * Access token of user who is search the mission
     */
    accessToken: string;
    /**
     * The Mission name of the mission to search
     */
    missionName: string;
    /**
     * Whether it is a deleted mission
     */
    trash: boolean;
    /**
     * Pagination parameter
     */
    page: number;
    /**
     * Pagination parameter
     */
    count: number;
    /**
     * Temporal ordering
     */
    order: string;
}
export interface IMissionInfoParams {
    /**
     * Access token to perform this request
     */
    accessToken: string;
    /**
     * Id of mission we are removing a member from
     */
    missionId: number;
}
export interface IRemoveMemberResponse extends IResponseBase {
}
