import { IResponseBase } from "../Response";
/**
 * Type interface for reponse of getting a product
 */
interface IProductResponse extends IResponseBase {
    data: IProduct;
}
interface IProduct {
    /**
     * The product id
     */
    id: number;
    /**
     * Product identifier related to the one defined in iTunes
     */
    productIdentifier: string;
    /**
     * Product name
     */
    name: string;
    /**
     * Product Description
     */
    description: string;
    /**
     * Product price
     */
    price: string;
    /**
     * Num of genius related to this product
     */
    genius: number;
    /**
     * Valid interval for this product
     */
    interval: string;
    /**
     * URL of the image related to this product
     */
    imageURL: string;
    /**
     * Max # of times the user can execute missions with this product
     */
    missionTimes: number;
    /**
     * Max duration the user can execute a single mission with this product
     */
    missionDuration: number;
    /**
     * Storage space comes with this product
     */
    storage: number;
    /**
     * Maximum number of genius this product contains
     */
    maxNumGenius: number;
}
export { IProductResponse, IProduct, };
