import { IResponseBase } from "../Response";
import { IUser, IPrivilege } from "./User";
interface ILogoutParams {
    userId?: number;
    accessToken?: string;
    phoneDevice?: {
        deviceId: string;
    };
}
/**
 * Interface for the response of signin api
 */
interface ISigninResponse extends IResponseBase {
    data: ISigninUser;
}
/**
 * User object returned from the signin api
 */
interface ISigninUser extends IUser {
    privilege?: IPrivilege;
}
declare enum AccountType {
    PHONE = "phone",
    EMAIL = "email"
}
declare enum VerificationFlow {
    FORGET_PASSWORD = "forgetPassword",
    REGISTER = "register",
    CHANGE_ACCOUNT = "changeAccount",
    VERIFY_OLD_ACCOUNT = "verifyOldAccount"
}
export { AccountType, ILogoutParams, ISigninResponse, ISigninUser, VerificationFlow, };
