/**
 * All IPC Channels for the main process
 */
declare const IPCMainChannelName: {
    ADD_CLIPS: string;
    CHECK_FILE_STATUS: string;
    CONFIGURE_USER_SETTINGS: string;
    COPY_FILES_FROM_DIRECTORY: string;
    DELETE_FILES_ON_CLOUD: string;
    DOWNLOAD_FILES: string;
    DOWNLOAD_COMPLETE: string;
    DOWNLOAD_ERROR: string;
    DOWNLOAD_PROGRESS: string;
    DOWNLOAD_SPEED: string;
    GET_EXIF_INFO: string;
    GET_FOLDER_INFO: string;
    GET_LOCAL_STORAGE: string;
    GET_LIST_LOCAL_STORAGE: string;
    GET_PENDING_MISSION_UPLOAD_LIST: string;
    GET_PENDING_MISSION_DOWNLOAD_LIST: string;
    GET_SIGNED_URL_FROM_OSS: string;
    IMPORT_COMPLETE: string;
    IMPORT_ERROR: string;
    IMPORT_PROGRESS: string;
    IMPORT_SPEED: string;
    LIST_FOLDER: string;
    OPEN_DEV_TOOL: string;
    OPEN_URL: string;
    OPEN_WINDOW: string;
    REMOVE_DOWNLOAD_PROCESS: string;
    REMOVE_FROM_LOCAL_STORAGE: string;
    INSERT_LOCAL_STORAGE: string;
    UPDATE_LOCAL_STORAGE: string;
    SET_MISSION_FILE_TRANSMISSION_STATUS: string;
    SHOW_ITEM_IN_FOLDER: string;
    SHOW_TEXT_DIALOG_NOTIFICATION: string;
    UPDATE_FEATURE_FILE_DELETE_STATUS: string;
    UPLOAD_FILES: string;
    UPLOAD_FOLDER: string;
    UPLOAD_SPEED: string;
    UPLOAD_PROGRESS: string;
    UPLOAD_COMPLETE: string;
    UPLOAD_ERROR: string;
    UPLOAD_CLOUD_SERVICE_SPEED: string;
    UPLOAD_CLOUD_SERVICE_PROGRESS: string;
    UPLOAD_CLOUD_SERVICE_COMPLETE: string;
    UPLOAD_CLOUD_SERVICE_ERROR: string;
    WINDOW_CLOSING_EXECUTION: string;
    WINDOW_CLOSING_NOTIFICATION: string;
    WRITE_TO_FILE: string;
    GET_OAUTH_REDIRECT_URL: string;
    GET_DISK_USAGE: string;
    DELETE_FOLDER_FILES: string;
    EXCEPTION_NOTIFICATION: string;
    EXCEPTION_RETRY: string;
    EXCEPTION_CANCEL: string;
    GET_APP_VERSION: string;
    SET_LOGIN_USER_FOR_SENTRY: string;
    CLEAR_LOGIN_USER_FOR_SENTRY: string;
    SINGLE_DOWNLOAD_COMPLETE: string;
};
declare enum IPCErrorCode {
    CHECK_FILE_STATUS_ERROR = 1
}
interface IPCError {
    /**
     * Error code to identify an error
     */
    errorCode: IPCErrorCode;
    /**
     * The error message
     */
    error: string;
}
/**
 * All IPC Channels for the renderer process
 */
declare const IPCRenderChannelName: {};
export { IPCMainChannelName, IPCRenderChannelName, IPCError, IPCErrorCode, };
