"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constant_1 = require("./constant");
exports.default = {
    setClientId({ commit }, clientId) {
        commit(constant_1.SET_CLIENT_ID, clientId);
    },
    setCurrentUser({ commit }, user) {
        commit(constant_1.SET_CURRENT_USER, user);
    },
    setRedirectUrl({ commit }, url) {
        commit(constant_1.SET_REDIRECT_URL, url);
    },
    setServiceName({ commit }, serviceName) {
        commit(constant_1.SET_SERVICE_NAME, serviceName);
    },
    switchLoginType({ commit }, type) {
        if (type === 'email' || type === 'phone') {
            commit(constant_1.SET_LOGIN_TYPE, type);
        }
    },
    switchSignupType({ commit }, type) {
        if (type === "email" || type === "phone") {
            commit(constant_1.SET_SIGNUP_TYPE, type);
        }
    },
    switchForgetPasswordType({ commit }, type) {
        if (type === "email" || type === "phone") {
            commit(constant_1.SET_FORGET_PASSWORD_TYPE, type);
        }
    },
    showWarn({ commit }, msg) {
        commit(constant_1.WARN, msg);
    },
    hideWarn({ commit }) {
        commit(constant_1.CLEAR_WARN);
    },
    setAreaValue({ commit }, value) {
        commit(constant_1.CHANGE_AREA, value);
    },
    setTmpToken({ commit }, token) {
        commit(constant_1.SET_TMPTOKEN, token);
    },
    setUpdate({ commit }, data) {
        commit(constant_1.SET_UPDATE, data);
    },
    setAutoupdate({ commit }, version) {
        commit(constant_1.SET_AUTOUPDATE, version);
    }
};
