"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultGetters = exports.defaultActions = exports.defaultMutations = exports.defaultState = void 0;
const state_1 = require("./state");
Object.defineProperty(exports, "defaultState", { enumerable: true, get: function () { return state_1.defaultState; } });
const mutation_1 = require("./mutation");
exports.defaultMutations = mutation_1.default;
const action_1 = require("./action");
exports.defaultActions = action_1.default;
const defaultGetters = {
    user: state => {
        if (state.currentUser.id) {
            return state.currentUser;
        }
        else {
            try {
                const prefix = process.env.API_ROOT.indexOf('test') > 0 || process.env.API_ROOT === '/api' ? 'test' : 'production';
                const user = JSON.parse(localStorage.getItem(`${prefix}_user`));
                state.currentUser = user || {};
                return state.currentUser;
            }
            catch (error) {
                return {};
            }
        }
    }
};
exports.defaultGetters = defaultGetters;
