"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constant_1 = require("./constant");
exports.default = {
    [constant_1.SET_CURRENT_USER](state, user) {
        state.currentUser = Object.assign({}, state.currentUser, user);
        const prefix = process.env.API_ROOT.indexOf('test') > 0 || process.env.API_ROOT === '/api' ? 'test' : 'production';
        localStorage.setItem(`${prefix}_user`, JSON.stringify(state.currentUser));
    },
    [constant_1.SET_LOGIN_TYPE](state, type) {
        state.loginType = type;
    },
    [constant_1.WARN](state, msg) {
        state.warning = true;
        state.warningMsg = msg;
    },
    [constant_1.CLEAR_WARN](state) {
        state.warning = false;
        state.warningMsg = '';
    },
    [constant_1.CHANGE_AREA](state, area) {
        state.area = area;
    },
    [constant_1.SET_CLIENT_ID](state, clientId) {
        state.clientId = clientId;
    },
    [constant_1.SET_REDIRECT_URL](state, url) {
        state.redirectURL = url;
    },
    [constant_1.SET_SERVICE_NAME](state, serviceName) {
        state.serviceName = serviceName;
    },
    [constant_1.SET_SIGNUP_TYPE](state, type) {
        state.signupType = type;
    },
    [constant_1.SET_FORGET_PASSWORD_TYPE](state, type) {
        state.forgetPasswordType = type;
    },
    [constant_1.SET_TMPTOKEN](state, token) {
        state.tmpToken = token;
    },
    [constant_1.SET_UPDATE](state, data) {
        const status = Object.assign({}, state.update, data);
        state.update = status;
    },
    [constant_1.SET_AUTOUPDATE](state, status) {
        state.update.autoupdate = status;
    }
};
