import { chance } from "../../utils/Utils";
import { CloudServiceStatus, IJob } from "../interfaces/service/Job";
import { ServiceIds } from "../interfaces/mission/Feature";

export default class MockServiceJob
{
	public static mockJobId()
	{
		return chance.integer({ min: 0, max: 10000 });
	}

	public static mockServiceId()
	{
		return chance.pick([ServiceIds.MESH_ALTIZURE, ServiceIds.MESH_PANORAMA]);
	}

	public static mockJobName()
	{
		return chance.name();
	}

	public static mockStatus()
	{
		return chance.pickone([CloudServiceStatus.FAILED, CloudServiceStatus.SUCCESS, CloudServiceStatus.PENDING, CloudServiceStatus.NOT_EXIST, CloudServiceStatus.UPLOADING]);
	}

	public static mockPercentage()
	{
		return chance.integer({ min: 0, max: 100 });
	}

	public static mockResult()
	{
		return chance.url();
	}

	public static mockResources()
	{
		const TOTAL = chance.integer({ min: 10, max: 100 });

		const resources: string[] = [];
		for (let i = 0; i < TOTAL; i++)
		{
			resources.push(chance.url());
		}

		return resources;
	}

	public static mockCreatedAt()
	{
		return chance.timestamp();
	}

	public static mockJob(serviceId?: number, status?: CloudServiceStatus, percentage?: number): IJob
	{
		return {
			jobId: this.mockJobId(),
			serviceId: serviceId ? serviceId : this.mockServiceId(),
			jobName: this.mockJobName(),
			status: status ? status : this.mockStatus(),
			percentage: percentage ? percentage : this.mockPercentage(),
			result: this.mockResult(),
			createdAt: this.mockCreatedAt(),
		}
	}

}