import { IResponseBase } from "../Response";
import { UserRoleInMission } from "./Role";

export interface ISearchUserParams
{
	/**
	 * Access token used to perform this request
	 */
	accessToken: string;

	/**
	 * Email or mobile number representing the account
	 */
	account: string;
}

export interface ISearchUserResultListItem
{
	userId: number;

	username: string;

	/**
	 * Avatar url for the user
	 */
	avatar: string;

	/**
	 * Area code of this user's mobile phone
	 */
	areaCode: string;

	phone: string;

	email: string;

	role: UserRoleInMission;
}

export interface ISearchUserResponse extends IResponseBase
{
	data: {
		users: ISearchUserResultListItem[],
	}
}