import { IResponseBase } from "../Response";
import { IUser, IPrivilege } from "./User";

// Please refer to this documentation: http://dev.kiwiinc.net/kiwi-team/CoDrone-Server/wikis/api#sign-in

interface ILogoutParams
{
	userId?: number;

	accessToken?: string;

	phoneDevice?: { deviceId: string };
}

/**
 * Interface for the response of signin api
 */
interface ISigninResponse extends IResponseBase
{
	data: ISigninUser,
}

/**
 * User object returned from the signin api
 */
interface ISigninUser extends IUser
{
	privilege?: IPrivilege,
}

enum AccountType
{
	PHONE = "phone",
	EMAIL = "email",
}

enum VerificationFlow
{
	FORGET_PASSWORD = "forgetPassword",
	REGISTER = "register",
	CHANGE_ACCOUNT = "changeAccount",
	VERIFY_OLD_ACCOUNT = "verifyOldAccount",
};

export
{
	AccountType,
	ILogoutParams,
	ISigninResponse,
	ISigninUser,
	VerificationFlow,
};

