import { IBaseLocalization } from "./interface";

const messages: IBaseLocalization = {
	title: 'Kiwi Information Technology Co., Ltd. - Meshing with future lives',
	network_error: 'Request failed, Please try again',
	confirm: 'Confirm',
	cancel: 'Cancel',
	back: 'Back',
	retry: 'Retry',
	uploading: 'Uploading',
	back_to_home: 'seconds back to home',
	phone_warn: 'Incorrect Phone Number',
	email_warn: 'Incorrect Email Address',
	code_warn: 'Incorrect Code',
	code_send_fail_warn: 'Code send failed',
	password_warn: 'Incorrect password',
	password_validate_warn: 'Password needs 6-16 characters',
	password_empty_warn: 'Please input a password',
	oldPassword_invalid: 'Old password invalid',
	repassword_empty_warn: 'Please repeat input password',
	repassword_different: 'Password wrong',
	reset_failed: 'Reset Failed',
	name_warn: 'No more than 25 characters / No special characters',
	exist_username: 'Existed Username',
	verify_failed: 'Verify Failed',
	email: 'Email',
	phone_number: 'Phone Number',
	password: 'Password',
	repassword: 'Repeat Password',
	name: 'Username',
	verify: 'Verify',
	verify_sended: 'ReSend',
	code: 'Code',
	find_with_email: 'E-mail',
	find_with_phone: 'Phone',
	access_warn: 'Access Timeout',
	account_exist: 'Account has existed',
	//  Reset Password verify
	reset_password_title: `RESET YOUR PASSWORD`,
	reset_password_verify_phone_tips: `we will send verify code to your phone`,
	reset_password_verify_email_tips: `we will send verify code to your email`,

	/* double check */
	double_check_title: `DOUBLE
VERIFICATION`,
	double_check_tips: `pass through some verify and you can
reset password`,

	/* reset */
	reset_title: `RESET
YOUR PASSWORD`,
	reset_tips: `Verify sucess, now input yourt new password`,

	/* reset success */
	reset_success_title: `RESET
SUCCESSFULLY`,
	reset_success_tips: 'Reset Success',

	/*   help */
	help: 'Help',
	help_tips: 'Click the link below to verify your identity to reset password',

	// WARNINGS
	warning: 'Warning',
	WARN0: 'Poor network, please try again in a better network environment',
	WARN1: 'Success.',
	WARN2: 'Invalid username.',
	WARN3: 'The account is not exists.',
	WARN4: 'Incorrect password.',
	WARN5: 'Invalid access token.',
	WARN6: 'Invalid email address.',
	WARN7: 'The account has existed.',
	WARN9: 'The data can not be validated.',
	WARN10: 'Arrearage account.',
	WARN11: 'The mission has been deleted, you can restore from trash.',
	WARN12: 'Device count is over limit.',
	WARN13: 'Request captcha too frequently. 5 times per day.',
	WARN14: 'Request error, try again. Server request the third service error.',
	WARN16: 'Invalid phone',
	WARN17: 'Invalid email address',
	WARN18: 'No more than 32 characters',

	WARN97: 'Please upload or sync the original files at first.',
	WARN98: 'The Phone has already exist',
	WARN99: 'The Email has already exist',
	WARN201: 'You Have no permission to update this mission'
};

export default messages;