import { IBaseLocalization } from "./interface";

const messages: IBaseLocalization = {
	title: '廣州奇志信息科技有限公司 - Meshing with future lives',
	network_error: '請求失敗，請重試',
	confirm: '確認',
	cancel: '返回',
	back: '返回',
	retry: '重試',
	uploading: '正在上傳...',
	back_to_home: '秒後返回首頁',
	phone_warn: '請輸入正確的手機號碼',
	email_warn: '請輸入正確的郵箱',
	code_warn: '驗證碼錯誤',
	code_send_fail_warn: '獲取驗證碼失敗',
	password_warn: '密碼錯誤',
	password_validate_warn: '密碼由6-16位字母、數字、英文字符組成',
	password_empty_warn: '請輸入密碼',
	oldPassword_invalid: '舊密碼錯誤',
	repassword_empty_warn: '請重複輸入密碼',
	repassword_different: '兩次輸入不一致',
	reset_failed: '修改密碼失敗',
	name_warn: '請輸入5-25個字符，不包含特殊字符',
	exist_username: '用戶名已被使用',
	verify_failed: '驗證失敗',
	email: '郵箱',
	phone_number: '手機號碼',
	password: '密碼',
	repassword: '重複密碼',
	name: '用戶名',
	verify: '發送驗證碼',
	verify_sended: '重新發送',
	code: '驗證碼',
	find_with_email: '用郵箱找回',
	find_with_phone: '用手機找回',
	access_warn: '登錄過期',
	account_exist: '賬戶已存在',
	// Reset Password verify
	reset_password_title: `重設密碼`,
	reset_password_verify_phone_tips: `我們將通過短信的方式
    向你註冊的手機發送驗證碼
    通過驗證後再進行密碼修改`,
	reset_password_verify_email_tips: `我們將通過郵件的方式
    向你註冊的郵箱發送驗證郵件
    通過驗證後再進行密碼修改`,


	/* double check */
	double_check_title: `用戶
    雙重驗證`,
	double_check_tips: `通過簡單的雙重驗證後
    即可重置密碼。 `,

	/* reset */
	reset_title: `重新
    設置密碼`,
	reset_tips: `雙重驗證通過，
    現在請輸入您新的密碼。 `,

	/* reset success */
	reset_success_title: `重置密碼
    成功`,
	reset_success_tips: `重置密碼成功，
    請返回首頁重新登錄。 `,

	/* help */
	help: '幫助',
	help_tips: '如果郵箱丟失或者手機丟失導致重設密碼身份驗證失敗，可通過以下鏈接重新進行身份驗證',

	// WARNINGS

	WARN0: '網絡錯誤',
	WARN1: '成功',
	WARN2: '用戶名已被使用',
	WARN3: '賬戶不存在',
	WARN4: '密碼錯誤',
	WARN5: '登錄超時',
	WARN6: '參數錯誤',
	WARN7: '賬戶已被註冊',
	WARN9: 'The data can not be validated.',
	WARN10: '賬戶欠款',
	WARN11: '無任務權限',
	WARN12: '設備數受限',
	WARN13: '獲取驗證碼超過單日5次限制',
	WARN14: '第三方服務請求錯誤',
	WARN16: '无效电话号码',
	WARN17: '非法的郵箱地址',
	WARN18: '請輸入少於 32 個字符',

	WARN97: '請先上传所有原始文件',
	WARN98: '手機號被佔用',
	WARN99: '郵箱被佔用',
	WARN201: '只有創建者有此權限'
};

export default messages;