/**
 * All IPC Channels for the main process
 */
const IPCMainChannelName = {
	ADD_CLIPS: "ADD_CLIPS",

	CHECK_FILE_STATUS: "CHECK_FILE_STATUS",
	CONFIGURE_USER_SETTINGS: "CONFIGURE_USER_SETTINGS",
	COPY_FILES_FROM_DIRECTORY: "COPY_FILES_FROM_DIRECTORY",

	DELETE_FILES_ON_CLOUD: "DELETE_FILES_ON_CLOUD",
	DOWNLOAD_FILES: "DOWNLOAD_FILES",

	DOWNLOAD_COMPLETE: "DOWNLOAD_COMPLETE",
	DOWNLOAD_ERROR: "DOWNLOAD_ERROR",
	DOWNLOAD_PROGRESS: "DOWNLOAD_PROGRESS",
	DOWNLOAD_SPEED: "DOWNLOAD_SPEED",

	GET_EXIF_INFO: "GET_EXIF_INFO",
	GET_FOLDER_INFO: "GET_FOLDER_INFO",
	GET_LOCAL_STORAGE: "GET_LOCAL_STORAGE",
	GET_LIST_LOCAL_STORAGE: "GET_LIST_LOCAL_STORAGE",
	GET_PENDING_MISSION_UPLOAD_LIST: "GET_PENDING_MISSION_UPLOAD_LIST",
	GET_PENDING_MISSION_DOWNLOAD_LIST: "GET_PENDING_MISSION_DOWNLOAD_LIST",
	GET_SIGNED_URL_FROM_OSS: "GET_SIGNED_URL_FROM_OSS",

	IMPORT_COMPLETE: "IMPORT_COMPLETE",
	IMPORT_ERROR: "IMPORT_ERROR",
	IMPORT_PROGRESS: "IMPORT_PROGRESS",
	IMPORT_SPEED: "IMPORT_SPEED",

	LIST_FOLDER: "LIST_FOLDER",

	OPEN_DEV_TOOL: "OPEN_DEV_TOOL",
	OPEN_URL: "OPEN_URL",
	OPEN_WINDOW: "OPEN_WINDOW",

	REMOVE_DOWNLOAD_PROCESS: "REMOVE_DOWNLOAD_PROCESS",
	REMOVE_FROM_LOCAL_STORAGE: "REMOVE_FROM_LOCAL_STORAGE",

	INSERT_LOCAL_STORAGE: "INSERT_LOCAL_STORAGE",
	UPDATE_LOCAL_STORAGE: "UPDATE_LOCAL_STORAGE",
	SET_MISSION_FILE_TRANSMISSION_STATUS: "SET_MISSION_FILE_TRANSMISSION_STATUS",
	SHOW_ITEM_IN_FOLDER: "SHOW_FILE_IN_FOLDER",
	SHOW_TEXT_DIALOG_NOTIFICATION: "SHOW_TEXT_DIALOG_NOTIFICATION",

	UPDATE_FEATURE_FILE_DELETE_STATUS: "UPDATE_FEATURE_FILE_DELETE_STATUS",
	UPLOAD_FILES: "UPLOAD_FILES",
	UPLOAD_FOLDER: "UPLOAD_FOLDER",

	UPLOAD_SPEED: "UPLOAD_SPEED",
	UPLOAD_PROGRESS: "UPLOAD_PROGRESS",
	UPLOAD_COMPLETE: "UPLOAD_COMPLETE",
	UPLOAD_ERROR: "UPLOAD_ERROR",
	UPLOAD_CLOUD_SERVICE_SPEED: "UPLOAD_CLOUD_SERVICE_SPEED",
	UPLOAD_CLOUD_SERVICE_PROGRESS: "UPLOAD_CLOUD_SERVICE_PROGRESS",
	UPLOAD_CLOUD_SERVICE_COMPLETE: "UPLOAD_CLOUD_SERVICE_COMPLETE",
	UPLOAD_CLOUD_SERVICE_ERROR: "UPLOAD_CLOUD_SERVICE_ERROR",

	WINDOW_CLOSING_EXECUTION: "WINDOW_CLOSING_EXECUTION",
	WINDOW_CLOSING_NOTIFICATION: "WINDOW_CLOSING_NOTIFICATION",
	WRITE_TO_FILE: "WRITE_TO_FILE",

	GET_OAUTH_REDIRECT_URL: "GET_OAUTH_REDIRECT_URL",
	GET_DISK_USAGE: "GET_DISK_USAGE",
	DELETE_FOLDER_FILES: "DELETE_FOLDER_FILES",

	EXCEPTION_NOTIFICATION: "EXCEPTION_NOTIFICATION",
	EXCEPTION_RETRY: "EXCEPTION_RETRY",
	EXCEPTION_CANCEL: "EXCEPTION_CANCEL",

	GET_APP_VERSION: "GET_APP_VERSION",
	SET_LOGIN_USER_FOR_SENTRY: "SET_LOGIN_USER_FOR_SENTRY",
	CLEAR_LOGIN_USER_FOR_SENTRY: "CLEAR_LOGIN_USER_FOR_SENTRY",

	SINGLE_DOWNLOAD_COMPLETE: "SINGLE_DOWNLOAD_COMPLETE",
};

enum IPCErrorCode
{
	CHECK_FILE_STATUS_ERROR = 1,
}

interface IPCError
{
	/**
	 * Error code to identify an error
	 */
	errorCode: IPCErrorCode,

	/**
	 * The error message
	 */
	error: string;
}

/**
 * All IPC Channels for the renderer process
 */
const IPCRenderChannelName = {

};

export
{
	IPCMainChannelName,
	IPCRenderChannelName,
	IPCError,
	IPCErrorCode,
};
