import
{
	SET_CURRENT_USER,
	SET_LOGIN_TYPE,
	WARN,
	CLEAR_WARN,
	CHANGE_AREA,
	SET_CLIENT_ID,
	SET_FORGET_PASSWORD_TYPE,
	SET_REDIRECT_URL,
	SET_SIGNUP_TYPE,
	SET_TMPTOKEN,
	SET_UPDATE,
	SET_AUTOUPDATE,
	SET_SERVICE_NAME
} from './constant'

export default {
	setClientId({ commit }, clientId)
	{
		commit(SET_CLIENT_ID, clientId)
	},
	setCurrentUser({ commit }, user)
	{
		commit(SET_CURRENT_USER, user)
	},
	setRedirectUrl({ commit }, url)
	{
		commit(SET_REDIRECT_URL, url)
	},
	setServiceName({ commit }, serviceName)
	{
		commit(SET_SERVICE_NAME, serviceName);
	},
	switchLoginType({ commit }, type)
	{
		if (type === 'email' || type === 'phone')
		{
			commit(SET_LOGIN_TYPE, type)
		}
	},
	switchSignupType({ commit }, type)
	{
		if (type === "email" || type === "phone")
		{
			commit(SET_SIGNUP_TYPE, type);
		}
	},
	switchForgetPasswordType({ commit }, type)
	{
		if (type === "email" || type === "phone")
		{
			commit(SET_FORGET_PASSWORD_TYPE, type);
		}
	},
	showWarn({ commit }, msg)
	{
		commit(WARN, msg)
	},
	hideWarn({ commit })
	{
		commit(CLEAR_WARN)
	},
	setAreaValue({ commit }, value)
	{
		commit(CHANGE_AREA, value)
	},
	setTmpToken({ commit }, token)
	{
		commit(SET_TMPTOKEN, token)
	},
	setUpdate({ commit }, data)
	{
		commit(SET_UPDATE, data)
	},
	setAutoupdate({ commit }, version)
	{
		commit(SET_AUTOUPDATE, version)
	}
}