import { defaultState, IUser } from './state'
import defaultMutations from './mutation'
import defaultActions from './action'

const defaultGetters =
{
	user: state => 
	{
		if (state.currentUser.id) 
		{
			return state.currentUser
		}
		else 
		{
			try 
			{
				const prefix = process.env.API_ROOT.indexOf('test') > 0 || process.env.API_ROOT === '/api' ? 'test' : 'production'
				const user = JSON.parse(localStorage.getItem(`${prefix}_user`))
				state.currentUser = user || {}
				return state.currentUser
			}
			catch (error) 
			{
				return {}
			}
		}
	}
}

export
{
	defaultState,
	defaultMutations,
	defaultActions,
	defaultGetters,
}
