import
{
	SET_CURRENT_USER,
	SET_LOGIN_TYPE,
	WARN,
	CLEAR_WARN,
	CHANGE_AREA,
	SET_CLIENT_ID,
	SET_FORGET_PASSWORD_TYPE,
	SET_REDIRECT_URL,
	SET_SERVICE_NAME,
	SET_SIGNUP_TYPE,
	SET_TMPTOKEN,
	SET_UPDATE,
	SET_AUTOUPDATE
} from './constant'

export default {
	[SET_CURRENT_USER](state, user)
	{
		state.currentUser = Object.assign({}, state.currentUser, user)
		const prefix = process.env.API_ROOT.indexOf('test') > 0 || process.env.API_ROOT === '/api' ? 'test' : 'production'
		localStorage.setItem(`${prefix}_user`, JSON.stringify(state.currentUser))
	},
	[SET_LOGIN_TYPE](state, type)
	{
		state.loginType = type
	},
	[WARN](state, msg)
	{
		state.warning = true
		state.warningMsg = msg
	},
	[CLEAR_WARN](state)
	{
		state.warning = false
		state.warningMsg = ''
	},
	[CHANGE_AREA](state, area)
	{
		state.area = area
	},
	[SET_CLIENT_ID](state, clientId)
	{
		state.clientId = clientId
	},
	[SET_REDIRECT_URL](state, url)
	{
		state.redirectURL = url
	},
	[SET_SERVICE_NAME](state, serviceName)
	{
		state.serviceName = serviceName;
	},
	[SET_SIGNUP_TYPE](state, type)
	{
		state.signupType = type
	},
	[SET_FORGET_PASSWORD_TYPE](state, type)
	{
		state.forgetPasswordType = type
	},
	[SET_TMPTOKEN](state, token)
	{
		state.tmpToken = token
	},
	[SET_UPDATE](state, data)
	{
		const status = Object.assign({}, state.update, data)
		state.update = status
	},
	[SET_AUTOUPDATE](state, status)
	{
		state.update.autoupdate = status
	}
}
